Index: trunk/VUT/GtpVisibilityPreprocessor/src/default.env
===================================================================
--- trunk/VUT/GtpVisibilityPreprocessor/src/default.env	(revision 430)
+++ trunk/VUT/GtpVisibilityPreprocessor/src/default.env	(revision 434)
@@ -13,7 +13,7 @@
 #;../data/vienna/vienna-plane.x3d
 # filename ../data/vienna/viewcells-25-sel.x3d
-filename ../data/atlanta/atlanta2.x3d
+# filename ../data/atlanta/atlanta2.x3d
 # filename ../data/soda/soda.dat
-# filename ../data/soda/soda5.dat
+ filename ../data/soda/soda5.dat
 }
 
@@ -25,11 +25,12 @@
 VssPreprocessor {
 	samplesPerPass  100000
-	initialSamples 2000000
+	initialSamples 200000
 	vssSamples 1000000
-	vssSamplesPerPass 100000
+	vssSamplesPerPass 50000
 	useImportanceSampling true
 }
 
 VssTree {
+	useRss    true
 	epsilon		1e-6
 
@@ -38,5 +39,5 @@
 	minRays		100
 	minSize		0.001
-  maxCostRatio	0.98
+  maxCostRatio	1.1
 	maxRayContribution 0.05
 	
@@ -44,6 +45,8 @@
 	maxStaticMemory	50
 
-	splitType regular
-#	splitType heuristics
+#	splitType regular
+#	splitType heuristic
+	splitType hybrid
+	splitUseOnlyDrivingAxis true
 
 	numberOfEndPointDomains	10000
Index: trunk/VUT/GtpVisibilityPreprocessor/src/VssPreprocessor.h
===================================================================
--- trunk/VUT/GtpVisibilityPreprocessor/src/VssPreprocessor.h	(revision 429)
+++ trunk/VUT/GtpVisibilityPreprocessor/src/VssPreprocessor.h	(revision 434)
@@ -14,18 +14,18 @@
 class VssPreprocessor : public Preprocessor {
 public:
-	int mPass;
+  int mPass;
   int mSamplesPerPass;
   int mVssSamplesPerPass;
   int mInitialSamples;
   int mVssSamples;
-	bool mUseImportanceSampling;
+  bool mUseImportanceSampling;
 
-	AxisAlignedBox3 *mViewSpaceBox;
+  AxisAlignedBox3 *mViewSpaceBox;
 
-	ofstream mStats;
+  ofstream mStats;
 	
   ObjectContainer mObjects;
 
-	// rays cast during the processing
+  // rays cast during the processing
   VssRayContainer mVssRays;
 	
@@ -35,57 +35,68 @@
   virtual bool ComputeVisibility();
 
-	Vector3
-	GetViewpoint(AxisAlignedBox3 *viewSpaceBox);
+  Vector3
+  GetViewpoint(AxisAlignedBox3 *viewSpaceBox);
 
-	Vector3
-	GetDirection(const Vector3 &viewpoint,
-							 AxisAlignedBox3 *viewSpaceBox
-							 );
+  Vector3
+  GetDirection(const Vector3 &viewpoint,
+			   AxisAlignedBox3 *viewSpaceBox
+			   );
 	
   void
   SetupRay(Ray &ray, 
-					 const Vector3 &point, 
-					 const Vector3 &direction
-					 );
+		   const Vector3 &point, 
+		   const Vector3 &direction
+		   );
 
 
 	
-	int
-	CastRay(
-					Vector3 &viewPoint,
-					Vector3 &direction,
-					VssRayContainer &vssRays
+  int
+  CastRay(
+		  Vector3 &viewPoint,
+		  Vector3 &direction,
+		  VssRayContainer &vssRays
 
-					);
+		  );
 		
 
 	
-	virtual bool BuildBspTree() { return false; }
+  virtual bool BuildBspTree() { return false; }
 
 
-	bool
-	ExportRays(const char *filename,
-						 const VssRayContainer &vssRays,
-						 const int number
+  bool
+  ExportRays(const char *filename,
+			 const VssRayContainer &vssRays,
+			 const int number
+			 );
+
+  int
+  GenerateImportanceRays(VssTree *vssTree,
+						 const int desiredSamples,
+						 SimpleRayContainer &rays
 						 );
 
-	int
-	GenerateImportanceRays(VssTree *vssTree,
-												 const int desiredSamples,
-												 SimpleRayContainer &rays
-												 );
+
+  bool
+  ExportVssTreeLeaf(char *filename,
+					VssTree *tree,
+					VssTreeLeaf *leaf);
+
+  void
+  ExportVssTreeLeaves(VssTree *tree, const int number);
+	
+
+  bool
+  ExportVssTree(char *filename,
+				VssTree *tree);
 
 
-	bool
-	ExportVssTreeLeaf(char *filename,
-										VssTree *tree,
-										VssTreeLeaf *leaf);
-
-	void
-	ExportVssTreeLeaves(VssTree *tree, const int number);
+  float
+  GetAvgPvsSize(VssTree *tree,
+				const vector<AxisAlignedBox3> &viewcells
+				);
+  
+  void CastRay(const BspTree &tree, const VssRay & vssRay);
 	
-	void CastRay(const BspTree &tree, const VssRay & vssRay);
-	
-	int AddObjectSamples(Intersectable *obj, const Ray &ray);
+  int AddObjectSamples(Intersectable *obj, const Ray &ray);
 };
 
